> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/notlar-pinler/35.-mutasyon-secili-note-a-comment-ekle.md).

# 35. Mutasyon: Seçili "Note"a "Comment" ekle

Bu mutasyon, seçili Not'a bir Yorum eklemenizi sağlar.

* Bir Yorum, benzersiz kimliği aracılığıyla Parsel'e (Field) bağlanabilir `fieldUuid` ve Nota bağlanmak için `noteUuid`.
* Yorumun içeriği şu `metin` özniteliği kullanılarak sağlanabilir. İçerik çok satırlı olacaksa, `metin` özniteliği yeni satır karakterleri içeren bir dize içermelidir `\\n` satırları ayırmak için. Örneğin: `"İlk satır burada.\\nİkinci satır burada.\\nÜçüncü satır burada."`.
* Yorumla ilişkili tanımlı bir tarih-saat değeri, ISO8601 formatında `oluşturulmaTarihi` özniteliği kullanılarak ayarlanabilir.

Örnek istekler aşağıda bulunabilir:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Çoklu yorumlardan 1. yorum.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    oluşturulmaTarihi
    updatedDate
    metin
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "İlk satır burada.\\nİkinci satır burada.\\nÜçüncü satır burada.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    oluşturulmaTarihi
    updatedDate
    metin
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/notlar-pinler/35.-mutasyon-secili-note-a-comment-ekle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
